fwbuilder(1)

NAME
fwbuilder - Multiplatform firewall configuration tool

SYNOPSIS
/usr/bin/fwbuilder [ -f file.xml ]

DESCRIPTION
fwbuilder is the Graphic User Interface (GUI) component of Firewall Builder. Firewall Builder consists of a GUI and set of policy compilers for various firewall platforms. It helps users maintain a database of objects and allows policy editing using simple drag-and-drop operations. GUI generates firewall description in the form of XML file, which compilers then interpret and generate platform-specific code. Several algorithms are provided for automated network objects discovery and bulk import of data. The GUI and policy compilers are completely independent, this provides for a consistent abstract model and the same GUI for different firewall platforms. At the moment of this writing Firewall Builder supports firewalls based on iptables (available on Linux, kernel 2.4.x, see fwb_ipt(1)), ipfilter (available on a variety of platforms including *BSD, Solaris and others, see fwb_ipf(1)) and pf (available on OpenBSD 3.0, see fwb_pf(1))

OPTIONS

-f FILE
    Specify the name of the file to be loaded when program starts.

FILES

$HOME/.qt/firewallbuilder2rc
    fwbuilder stores user preferences in this file

URL
Firewall Builder home page is located at the following URL: http://www.fwbuilder.org/

BUGS
Please report bugs using bug tracking system on SourceForge: http://sourceforge.net/tracker/?group_id=5314&atid=105314

SEE ALSO
fwblookup(1), fwb_ipt(1), fwb_ipf(1), fwb_pf(1)